Response language.
- Create order with free cart
Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/free/cart
- https://store.xsolla.com/api/v2/project/{project_id}/free/cart
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/free/cart \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"sandbox": true,
"settings": {
"ui": {
"theme": "63295a9a2e47fab76f7708e1",
"desktop": {
"header": {
"is_visible": true,
"visible_logo": true,
"visible_name": true,
"visible_purchase": true,
"type": "normal",
"close_button": false
}
}
}
},
"custom_parameters": {
"character_id": "ingameUsername"
}
}'{ "order_id": 641 }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/free/cart/{cart_id}
- https://store.xsolla.com/api/v2/project/{project_id}/free/cart/{cart_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/free/cart/custom_id \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"sandbox": true,
"settings": {
"ui": {
"theme": "63295a9a2e47fab76f7708e1",
"desktop": {
"header": {
"is_visible": true,
"visible_logo": true,
"visible_name": true,
"visible_purchase": true,
"type": "normal",
"close_button": false
}
}
}
},
"custom_parameters": {
"character_id": "ingameUsername"
}
}'{ "order_id": 641 }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/free/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/free/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/free/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"sandbox": true,
"quantity": 5,
"promo_code": "discount_code",
"settings": {
"ui": {
"theme": "63295a9a2e47fab76f7708e1",
"desktop": {
"header": {
"is_visible": true,
"visible_logo": true,
"visible_name": true,
"visible_purchase": true,
"type": "normal",
"close_button": false
}
}
}
},
"custom_parameters": {
"character_id": "ingameUsername"
}
}'{ "order_id": 641 }